Last Comment Bug 310069 - [FIX]Named arrays should skip name lookup for XPCNativeWrapper
: [FIX]Named arrays should skip name lookup for XPCNativeWrapper
Status: RESOLVED FIXED
: fixed1.8
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: mozilla1.8beta5
Assigned To: Boris Zbarsky [:bz] (still a bit busy)
: Hixie (not reading bugmail)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-26 08:56 PDT by Boris Zbarsky [:bz] (still a bit busy)
Modified: 2014-04-26 03:09 PDT (History)
5 users (show)
bzbarsky: blocking1.8b5+
bzbarsky: blocking1.9a1+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Like so (1.10 KB, patch)
2005-09-26 09:01 PDT, Boris Zbarsky [:bz] (still a bit busy)
mrbkap: review+
jst: superreview+
asa: approval1.8b5+
Details | Diff | Splinter Review

Description Boris Zbarsky [:bz] (still a bit busy) 2005-09-26 08:56:20 PDT
I missed this in bug 304886.  This is a must-fix.
Comment 1 Boris Zbarsky [:bz] (still a bit busy) 2005-09-26 09:01:09 PDT
Created attachment 197423 [details] [diff] [review]
Like so
Comment 2 Blake Kaplan (:mrbkap) 2005-09-26 11:09:02 PDT
Comment on attachment 197423 [details] [diff] [review]
Like so

Taking the liberty of giving r=mrbkap
Comment 3 Johnny Stenback (:jst, jst@mozilla.com) 2005-09-29 15:04:28 PDT
Comment on attachment 197423 [details] [diff] [review]
Like so

sr=jst
Comment 4 Boris Zbarsky [:bz] (still a bit busy) 2005-09-29 15:09:20 PDT
Fixed on trunk.
Comment 5 Boris Zbarsky [:bz] (still a bit busy) 2005-09-29 15:09:20 PDT
Comment on attachment 197423 [details] [diff] [review]
Like so

We need this on the branch for security stuff...  This is quite safe.
Comment 6 Boris Zbarsky [:bz] (still a bit busy) 2005-09-29 20:22:39 PDT
Fixed on branch.

Note You need to log in before you can comment on or make changes to this bug.